package cd.casic.plugin.annotation;

import cd.casic.plugin.constants.PluginConstants;

import java.lang.annotation.*;

/**
 * @Author：mianbin
 * @Package：cd.casic.plugin.annotation
 * @Project：ops
 * @name：AdminGroup
 * @Date：2024/03/18 17:06
 * @Filename：AdminGroup
 * @description：自定义菜单Group注解
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.ANNOTATION_TYPE})
@Documented
public @interface AdminGroup {
    /** 菜单名称 */
    String name();

    /** 菜单组id */
    String groupId();

    /** 菜单图标 */
    String icon() default "fa-circle-o";

    /** 菜单url */
    String url() default "";

    /** 菜单角色 */
    String[] role() default {PluginConstants.ROLE_ADMIN};

    /** 菜单序号 */
    int seq() default 99;
}
